=== data/man/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Julius Künzel <julius.kuenzel@kde.org>

install(FILES kdenlive.1 kdenlive_render.1 DESTINATION ${KDE_INSTALL_MANDIR}/man1 )
