=== src/dialogs/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Vincent PINON <vincent.pinon@laposte.net>, Jean-Baptiste Mardelle <jb@kdenlive.org>

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  dialogs/clipcreationdialog.cpp
  dialogs/clipjobmanager.cpp
  dialogs/customcamcorderdialog.cpp
  dialogs/encodingprofilesdialog.cpp
  dialogs/importsubtitle.cpp
  dialogs/markerdialog.cpp
  dialogs/managesubtitles.cpp
  dialogs/exportguidesdialog.cpp
  dialogs/profilesdialog.cpp
  dialogs/proxytest.cpp
  dialogs/renderwidget.cpp
  dialogs/renderpresetdialog.cpp
  dialogs/speechdialog.cpp
  dialogs/subtitleedit.cpp
  dialogs/subtitlestyleedit.cpp
  dialogs/textbasededit.cpp
  dialogs/timeremap.cpp
  dialogs/titletemplatedialog.cpp
  dialogs/wizard.cpp
  dialogs/splash.cpp
  dialogs/settings/kdenlivesettingsdialog.cpp
  dialogs/settings/pluginssettings.cpp
  PARENT_SCOPE)
