=== src/layouts/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2025 Kdenlive contributors

set(kdenlive_SRCS
  ${kdenlive_SRCS}
    layouts/layoutmanagement.cpp
    layouts/layoutmanagerdialog.cpp
    layouts/layoutswitcher.cpp
    layouts/layoutcollection.cpp
  PARENT_SCOPE)
