=== src/audiomixer/audiolevels/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  audiomixer/audiolevels/audiolevelwidget.cpp
  audiomixer/audiolevels/audiolevelconfig.cpp
  audiomixer/audiolevels/audiolevelstyleprovider.cpp
  audiomixer/audiolevels/audiolevelrenderer.cpp
PARENT_SCOPE)
