=== src/project/dialogs/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Vincent PINON <vincent.pinon@laposte.net>, Jean-Baptiste Mardelle <jb@kdenlive.org>

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  project/dialogs/archivewidget.cpp
  project/dialogs/backupwidget.cpp
  project/dialogs/noteswidget.cpp
  project/dialogs/projectsettings.cpp
  project/dialogs/slideshowclip.cpp
  project/dialogs/temporarydata.cpp
  project/dialogs/profilewidget.cpp
  project/dialogs/guidecategories.cpp
  project/dialogs/guideslist.cpp
  PARENT_SCOPE)
