## kdenlive 25.08.1+p24.04+vstable+git20251001.0652

=== debian/changelog ===
kdenlive (4:25.08.1+p24.04+vstable+git20251001.0652-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 06:52:26 +0000

kdenlive (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:07:55 +0000
