## kdenlive 25.08.1+p24.04+vstable+git20251003.1054

=== debian/changelog ===
kdenlive (4:25.08.1+p24.04+vstable+git20251003.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 10:55:01 +0000
