=== data/profiles/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>

INSTALL (FILES
dci_2160p_2398
dci_2160p_24
dci_2160p_25
dci_2160p_2997
dci_2160p_30
dci_2160p_50
dci_2160p_5994
dci_2160p_60
DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/profiles)
