=== data/resourceproviders/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Julius Künzel <julius.kuenzel@kde.org>

INSTALL (FILES

archiveorg.json
freesound.json
pexels_photo.json
pexels_video.json
pixabay_photo.json
pixabay_videos.json

DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/resourceproviders)
