=== debian/changelog ===
kdenlive (25.08.2-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged patch 01-disable-autoupdate.
    - Add new build dependencies libimath-dev, libopentimelineio-dev,
      libavformat-dev, libavcodec-dev, libswresample-dev and libavutil-dev.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 03 Nov 2025 22:53:37 +0100
