## kdenlive 25.08.2+p24.04+vstable+git20251015.1727

=== debian/changelog ===
kdenlive (4:25.08.2+p24.04+vstable+git20251015.1727-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:27:30 +0000

kdenlive (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:51:00 +0000
