## kdenlive 25.08.2+p24.04+vstable+git20251026.0204

=== debian/changelog ===
kdenlive (4:25.08.2+p24.04+vstable+git20251026.0204-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 26 Oct 2025 02:05:03 +0000
